RDKit: RDKit::MolEnumerator::PositionVariationOp Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::MolEnumerator::PositionVariationOp Class Reference

Molecule enumeration operation corresponding to position variation bonds. More...

`#include <MolEnumerator.h>`

Inheritance diagram for RDKit::MolEnumerator::PositionVariationOp:

## Public Member Functions
| PositionVariationOp ()
| PositionVariationOp (const std::shared_ptr< ROMol > mol)
| PositionVariationOp (const ROMol &mol)
| PositionVariationOp (const PositionVariationOp &other)
PositionVariationOp & | operator= (const PositionVariationOp &other)
std::vector< size_t > | getVariationCounts () const override
| \override
std::unique_ptr< ROMol > | operator() (const std::vector< size_t > &which) const override
| \override
void | initFromMol (const ROMol &mol) override
| \override
std::unique_ptr< MolEnumeratorOp > | copy () const override
| \override
Public Member Functions inherited from RDKit::MolEnumerator::MolEnumeratorOp
| MolEnumeratorOp ()
virtual | ~MolEnumeratorOp ()

## Detailed Description

Molecule enumeration operation corresponding to position variation bonds.

This uses ATTACH and ENDPTS properties on bonds and requires that the bond has one dummy atom (which will be discarded). The other atom of the bond will be connected to the atoms listed in the ENDPTS property

Definition at line 57 of file MolEnumerator.h.

## Constructor & Destructor Documentation

## ◆ PositionVariationOp() [1/4]

RDKit::MolEnumerator::PositionVariationOp::PositionVariationOp | ( |  | ) |
| inline

Definition at line 59 of file MolEnumerator.h.

Referenced by copy(), operator=(), and PositionVariationOp().

## ◆ PositionVariationOp() [2/4]

RDKit::MolEnumerator::PositionVariationOp::PositionVariationOp | ( | const std::shared_ptr< ROMol > | mol | ) |
| inline

Definition at line 60 of file MolEnumerator.h.

References initFromMol(), and PRECONDITION.

## ◆ PositionVariationOp() [3/4]

RDKit::MolEnumerator::PositionVariationOp::PositionVariationOp | ( | const ROMol & | mol | ) |
| inline

Definition at line 64 of file MolEnumerator.h.

References initFromMol().

## ◆ PositionVariationOp() [4/4]

RDKit::MolEnumerator::PositionVariationOp::PositionVariationOp | ( | const PositionVariationOp & | other | ) |
| inline

Definition at line 67 of file MolEnumerator.h.

References PositionVariationOp().

## Member Function Documentation

## ◆ copy()

std::unique_ptr< MolEnumeratorOp > RDKit::MolEnumerator::PositionVariationOp::copy | ( |  | ) | const
| inlineoverridevirtual

\override

Implements RDKit::MolEnumerator::MolEnumeratorOp.

Definition at line 88 of file MolEnumerator.h.

References PositionVariationOp().

## ◆ getVariationCounts()

std::vector< size_t > RDKit::MolEnumerator::PositionVariationOp::getVariationCounts | ( |  | ) | const
| overridevirtual

\override

Implements RDKit::MolEnumerator::MolEnumeratorOp.

## ◆ initFromMol()

void RDKit::MolEnumerator::PositionVariationOp::initFromMol | ( | const ROMol & | mol | ) |
| overridevirtual

\override

Implements RDKit::MolEnumerator::MolEnumeratorOp.

Referenced by PositionVariationOp(), and PositionVariationOp().

## ◆ operator()()

std::unique_ptr< ROMol > RDKit::MolEnumerator::PositionVariationOp::operator() | ( | const std::vector< size_t > & | which | ) | const
| overridevirtual

\override

Implements RDKit::MolEnumerator::MolEnumeratorOp.

## ◆ operator=()

PositionVariationOp & RDKit::MolEnumerator::PositionVariationOp::operator= | ( | const PositionVariationOp & | other | ) |
| inline

Definition at line 69 of file MolEnumerator.h.

References PositionVariationOp().

The documentation for this class was generated from the following file:

- MolEnumerator.h